# Generated from flowdock-git-hook-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flowdock-git-hook

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Git Post-Receive hook for Flowdock
License: MIT
URL: http://github.com/flowdock/flowdock-git-hook
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(rspec) >= 2.8
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(jeweler) >= 1.8.7
# BuildRequires: rubygem(jeweler) < 1.9
# BuildRequires: rubygem(webmock) >= 1.6.4
# BuildRequires: rubygem(jruby-openssl)
BuildArch: noarch

%description
Git Post-Receive hook for Flowdock.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%{gem_instdir}/post-receive
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/flowdock-git-hook.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.1-1
- Initial package
